Create resident pet
https://api.propexo.com/v1/resident-pets/Create a resident pet for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the resident
Whether the resident pet is a service animal. This field requires your customer uses Plug-in 17+ in Yardi Voyager.
The age in years of the resident pet
Possible values: >= 0
The color of the resident pet
Possible values: <= 40 characters
The raw value for the gender of the resident pet
Possible values: <= 40 characters
Whether the resident pet is fixed
The name associated with the resident pet
Possible values: <= 40 characters
The type associated with the resident pet
Possible values: <= 40 characters
The weight in pounds of the resident pet
Possible values: >= 0
The breed of the resident pet
Possible values: <= 1000 characters
Notes associated with the resident pet
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/resident-pets/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}